메인 콘텐츠로 건너뛰기
GET
/
2
/
media
/
upload
미디어 업로드 상태 조회
curl --request GET \
  --url https://api.x.com/2/media/upload \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "1146654567674912769",
    "media_key": "<string>",
    "expires_after_secs": 123,
    "processing_info": {
      "check_after_secs": 123,
      "progress_percent": 123
    },
    "size": 123
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

쿼리 매개변수

media_id
string
필수

요청된 미디어 업로드 상태의 media id입니다. 이 미디어의 고유 식별자입니다.

Pattern: ^[0-9]{1,19}$
예시:

"1146654567674912769"

command
enum<string>

미디어 업로드 요청에 사용되는 command입니다.

사용 가능한 옵션:
STATUS

응답

요청이 성공했습니다.

미디어 업로드 요청 상태를 GET으로 조회할 때 반환되는 응답입니다.

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체